%global debug_package %{nil}
%global __jar_repack 0
%global base_install_dir %{_javadir}{%name}


Name:           search-guard-ssl
Version:        2.4.4.19_redhat_1
Release:        1%{?dist}
Summary:        SSL for search-guard

Group:          System Environment/Daemons
# search-guard and all it's dependencies are licensed ASL 2.0
#  except slf4j-api (MIT) and waffle-jna (EPL 1.0)
License:        ASL 2.0, MIT, EPL 1.0
URL:            https://github.com/floragunncom/search-guard-ssl
Source1: search-guard-ssl-2.4.4.19-redhat-1.pom
Source2: search-guard-ssl-2.4.4.19-redhat-1.zip
Source3: search-guard-ssl-2.4.4.19-redhat-1-sources.jar
Source4: search-guard-ssl-2.4.4.19-redhat-1-project-sources.tar.gz
Source5: search-guard-ssl-2.4.4.19-redhat-1.jar
Source6: search-guard-ssl-2.4.4.19-redhat-1-scm-sources.zip

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       elasticsearch

%description
Search Guard SSL is a free and open source plugin for Elasticsearch 
which provides SSL for Search Guard.

%prep
%setup -T -b 2 -c -n %{name}-2.4.4.19-redhat-1

ls -l

#docs
tar xfz %{SOURCE4} %{name}-2.4.4.19-redhat-1/{LICENSE,README.md}
mv %{name}-2.4.4.19-redhat-1/* .

%build
true

%install
rm -rf %{buildroot}

#libs
mkdir -p %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 *.jar %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 plugin-descriptor.properties %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 plugin-security.policy %{buildroot}%{_javadir}/%{name}/lib

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/lib/*.jar
%{_javadir}/%{name}/lib/plugin-descriptor.properties
%{_javadir}/%{name}/lib/plugin-security.policy

%changelog
* Tue Jan 17 2017 Rich Megginson <rmeggin@redhat.com> - 2.4.4.19.redhat_1-4
- version 2.4.4.19

* Mon Jan  9 2017 Rich Megginson <rmeggin@redhat.com> - 2.4.3.19.redhat_1-4
- version 2.4.3.19

* Mon Oct 31 2016 Rich Megginson <rmeggin@redhat.com> - 2.3.5.15.redhat_1-3
- add plugin-descriptor.properties and plugin-security.policy

* Tue Sep 20 2016 Rich Megginson <rmeggins@redhat.com> - 2.3.5.15.redhat_1-2
- fixes for search-guard- to search-guard-ssl-

* Thu Sep 15 2016 Rich Megginson <rmeggins@redhat.com> - 2.3.5.15.redhat_1-1
- version 2.3.5.15

* Mon Aug  1 2016 Rich Megginson <rmeggins@redhat.com> - 2.3.4.14.redhat_1-1
- copied from search-guard - initial commit for 2.3.4.14

* Fri Feb 12 2016 Lukas Vlcek <lvlcek@redhat.com> - 0.5.1.redhat_1-1
- Custom bugfix release based on custom git branch (see PR#85)

* Mon Sep 28 2015 Troy Dawson <tdawson@redhat.com> - 0.5.0.redhat_1-1
- Initial package
